org.eclipse.microprofile.context.tck.cdi

## Class CDIContextTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.context.tck.cdi.CDIContextTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIContextTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIContextTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `afterMethod(Method m, org.testng.ITestResult result)`
`void` `beforeMethod(Method m)`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testCDIMECtxClearsConversationScopedBeans()` Set some state on Conversation scoped bean and verify the state is cleared on the thread where the other task runs.
`void` `testCDIMECtxClearsRequestScopedBean()` Set some state on Request scoped bean and verify the state is cleared on the thread where the other task runs.
`void` `testCDIMECtxClearsSessionScopedBeans()` Set some state on Session scoped bean and verify the state is cleared on the thread where the other task runs.
`void` `testCDIMECtxPropagatesConversationScopedBean()` Set some state on Conversation scoped beans and verify the state is propagated to the thread where the other task runs.
`void` `testCDIMECtxPropagatesRequestScopedBean()` Set some state on Request scoped bean and verify the state is propagated to the thread where the other task runs.
`void` `testCDIMECtxPropagatesSessionScopedBean()` Set some state on Session scoped bean and verify the state is propagated to the thread where the other task runs.
`void` `testCDITCCtxClear()` Set some state on a request scoped bean, then verify a contextualized callable has the state cleared from it when ran on the same thread.
`void` `testCDITCCtxPropagate()` Set some state on a request scoped bean, then verify a contextualized callable has the state propagated to it when ran on the same thread.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIContextTest

    public CDIContextTest()

### Method Detail

#### afterMethod

    @AfterMethod
    public void afterMethod(Method m,
                                         org.testng.ITestResult result)

#### beforeMethod

    @BeforeMethod
    public void beforeMethod(Method m)

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testCDIMECtxPropagatesRequestScopedBean

    public void testCDIMECtxPropagatesRequestScopedBean()
                                                 throws Exception

Set some state on Request scoped bean and verify the state is propagated to the thread where the other task runs. If the CDI context in question is not active, the test is deemed successful as there is no propagation to be done.

Throws:
  `Exception` - indicates test failure

#### testCDIMECtxPropagatesSessionScopedBean

    public void testCDIMECtxPropagatesSessionScopedBean()
                                                 throws Exception

Set some state on Session scoped bean and verify the state is propagated to the thread where the other task runs. If the CDI context in question is not active, the test is deemed successful as there is no propagation to be done.

Throws:
  `Exception` - indicates test failure

#### testCDIMECtxPropagatesConversationScopedBean

    public void testCDIMECtxPropagatesConversationScopedBean()
                                                      throws Exception

Set some state on Conversation scoped beans and verify the state is propagated to the thread where the other task runs. If the CDI context in question is not active, the test is deemed successful as there is no propagation to be done.

Throws:
  `Exception` - indicates test failure

#### testCDIMECtxClearsRequestScopedBean

    public void testCDIMECtxClearsRequestScopedBean()
                                             throws Exception

Set some state on Request scoped bean and verify the state is cleared on the thread where the other task runs. If the CDI context in question is not active, the test is deemed successful as there is no propagation to be done.

Throws:
  `Exception` - indicates test failure

#### testCDIMECtxClearsSessionScopedBeans

    public void testCDIMECtxClearsSessionScopedBeans()
                                              throws Exception

Set some state on Session scoped bean and verify the state is cleared on the thread where the other task runs. If the CDI context in question is not active, the test is deemed successful as there is no propagation to be done.

Throws:
  `Exception` - indicates test failure

#### testCDIMECtxClearsConversationScopedBeans

    public void testCDIMECtxClearsConversationScopedBeans()
                                                   throws Exception

Set some state on Conversation scoped bean and verify the state is cleared on the thread where the other task runs. If the CDI context in question is not active, the test is deemed successful as there is no propagation to be done.

Throws:
  `Exception` - indicates test failure

#### testCDITCCtxPropagate

    public void testCDITCCtxPropagate()
                               throws Exception

Set some state on a request scoped bean, then verify a contextualized callable has the state propagated to it when ran on the same thread.

Throws:
  `Exception` - indicates test failure

#### testCDITCCtxClear

    public void testCDITCCtxClear()
                           throws Exception

Set some state on a request scoped bean, then verify a contextualized callable has the state cleared from it when ran on the same thread.

Throws:
  `Exception` - indicates test failure